Bug 825072 - Bug in HornetQ User Guide
Bug in HornetQ User Guide
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-HornetQ_User_Guide (Show other bugs)
5.1.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Scott Mumford
Rajesh Rajasekaran
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 22:22 EDT by Michael Epley
Modified: 2013-03-11 23:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 23:58:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Epley 2012-05-24 22:22:31 EDT
Description of problem:
Configuration example provided which is inconsistent with the defaults and without explanatory context.

Version-Release number of selected component (if applicable):
Revision 5.1.2-108	Tue 28 Feb 2012
html-single version, section 32.3. Configuring reconnection/reattachment attributes

How reproducible:
N/A

Steps to Reproduce:
1. N/A
  
Actual results:
The example provided in this section uses attributes that are non-default, potentially confusing a reader.

Expected results:
I recommend modifiying the example. Several non-exlusive alternatives are available: 1) to use the defaults in the example and leave the remained of the section as is; 2) to explain a situation in which the choices used in the example for retry-interval, retry-interval-multiplier, max-retry-interval, reconnect-attempts are relevant; 3) add additional examples with explainations of their applicability, such as an example for HA, low latency, or other types of clients.

Additional info:
Comment 1 Scott Mumford 2012-06-19 02:24:09 EDT
The optional parameters have been removed from the section in question (as per recommendation 1 above)

A new version of the document has been published to the Documentation Stage:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html-single/HornetQ_User_Guide/index.html#id2762345

Build details:

Package: JBoss_Enterprise_Application_Platform-HornetQ_User_Guide-5-web-en-US-5.1.3-15.el6eng

Started: Mon, 18 Jun 2012 22:46:39 EDT
Finished: Mon, 18 Jun 2012 22:52:05 EDT

Changelog:
* Tue Jun 19 2012 Scott Mumford <> - 5.1.3-15
- Bug 825072: Removed unnecessary params from re-connection example.

Build logs:
  https://brewweb.devel.redhat.com//getfile?taskID=4526163&name=build.log
  https://brewweb.devel.redhat.com//getfile?taskID=4526163&name=checkout.log
  https://brewweb.devel.redhat.com//getfile?taskID=4526163&name=mock_output.log
  https://brewweb.devel.redhat.com//getfile?taskID=4526163&name=root.log
  https://brewweb.devel.redhat.com//getfile?taskID=4526163&name=state.log

Note You need to log in before you can comment on or make changes to this bug.